package org.vincimelun.gestage.model;

import org.vincimelun.gestage.model.base.BaseStage;

/**
 * This is the object class that relates to the stage table.
 * Any customizations belong here.
 */
public class Stage extends BaseStage {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public Stage () {}

	/**
	 * Constructor for primary key
	 */
	public Stage (org.vincimelun.gestage.model.StagePK _id) {
		super(_id);
	}

	/**
	 * Constructor for required fields
	 */
	public Stage (
		org.vincimelun.gestage.model.StagePK _id,
		org.vincimelun.gestage.model.Person _idProf,
		org.vincimelun.gestage.model.Person _idTuteur,
		java.util.Date _fin) {

		super (
			_id,
			_idProf,
			_idTuteur,
			_fin);
	}

/*[CONSTRUCTOR MARKER END]*/
}