<%@ page language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %> 
<%@ taglib uri="/tags/struts-tiles" prefix="tiles" %> 

<html>

    <head>
   <link href="<html:rewrite page="/style/gestage.css" />" rel="stylesheet" type="text/css" />
    
        <title>
            <bean:message key="application.nom"/>: <bean:message key="application.description"/>
        </title>
    </head>
    <body>
    <!--PRESENTATION HEADER HERE -->
    <tiles:insert page="/pages/header.jsp">
	    <tiles:put name="navigation" value="GeStage&rsaquo;accueil"/>
	 </tiles:insert>

    <!--MAIN CONTENT FOLLOWS -->
    <div class="main">
        <center>
            <h2>
            <bean:message key="accueil.bienvenue"/>
            <bean:message key="accueil.menu"/></h2>
        </center>
        
        <ul>
            <li>
                 <html:link page="/listePersonnes.do"><bean:message key="menu.consultation.personnes"/></html:link>
             </li>
             <li>
                 <html:link page="/listeEntreprises.do"><bean:message key="menu.consultation.entreprises"/></html:link>
            </li>
        </ul>
        
        </div>
        
        <!-- PRESENTATION FOOTER HERE -->
        <tiles:insert page="/pages/footer.jsp"/>
        
    </body>
</html>
