<%@ page language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %> 
<%@ taglib uri="/tags/struts-tiles" prefix="tiles" %> 
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/displaytag-12" prefix="display" %>

<html:html>

    <head>
   <link href="<html:rewrite page="/style/stylesheet.css" />" rel="stylesheet" type="text/css" />
   <link href="<html:rewrite page="/style/gestage.css" />" rel="stylesheet" type="text/css" />
 	    <title>
	        <bean:message key="application.nom"/>: <bean:message key="application.description"/>
	    </title>
    </head>
    
    <body>
    <!--PRESENTATION HEADER HERE -->
    <tiles:insert page="/pages/header.jsp">
        <tiles:put name="navigation" value="GeStage&rsaquo;liste des entreprises"/>
     </tiles:insert>

    <!--MAIN CONTENT FOLLOWS -->
    <div class="main" align="center">
	<h1><p align='center'><bean:message key="listeEntreprises.titre"/></p></h1>
	<p align='right'><html:link page="/accueil.do">&gt;Retour au menu principal&lt;</html:link></p>
	
	
		<bean:define id="nom">     <bean:message key="listeEntreprises.nom"/>    </bean:define>
		<bean:define id="adresse"> <bean:message key="listeEntreprises.adresse"/> </bean:define>
		<bean:define id="cp">       <bean:message key="listeEntreprises.cp"/>        </bean:define>
		<bean:define id="ville">     <bean:message key="listeEntreprises.ville"/>     </bean:define>
		<bean:define id="secteur"> <bean:message key="listeEntreprises.secteur"/>  </bean:define>

	
           <display:table name="entreprisesForm.entreprises" id="row" pagesize="20" class="isis" requestURI="listeEntreprises.do" defaultsort="1" sort="list">
            <display:column property="nom" title="<%=nom%>" sortable="true" headerClass="sortable"/>
            <display:column property="rue"  title="<%=adresse%>" sortable="false" headerClass="sortable"/>
            <display:column property="cp"  title="<%=cp%>" sortable="true" headerClass="sortable"/>
            <display:column property="ville"  title="<%=ville%>" sortable="true" headerClass="sortable"/>
            <display:column property="secteur"  title="<%=secteur%>" sortable="true" headerClass="sortable"/>

            <display:column title="Actions">
                <html:link page="/detailEntreprise.do?id=${row.id}"><img src="<html:rewrite page="/images/view.gif" />" alt="<bean:message key="liste.action.view"/>" title="<bean:message key="liste.action.view"/>" class="icon" /></html:link> &nbsp;
                <html:link page="/modifEntreprise.do?id=${row.id}"><img src="<html:rewrite page="/images/edit.png" />" alt="<bean:message key="liste.action.edit"/>" title="<bean:message key="liste.action.edit"/>" class="icon"/></html:link> &nbsp;
                <html:link page="/modifEntreprise.do?id=${row.id}"><img src="<html:rewrite page="/images/del.png" />" alt="<bean:message key="liste.action.del"/>" title="<bean:message key="liste.action.del"/>" class="icon"/></html:link> &nbsp;
            </display:column>
           </display:table>
	<!--
	<table width="100%" border="1">
	    <th>
	        <td><bean:message key="listeEntreprises.nom"/></td>
	        <td><bean:message key="listeEntreprises.adresse"/></td>
	        <td><bean:message key="listeEntreprises.cp"/></td>
            <td><bean:message key="listeEntreprises.ville"/></td>
            <td><bean:message key="listeEntreprises.secteur"/></td>
	    </th>
	    
	    <logic:iterate id="entreprise" name="entreprisesForm" property="entreprises">
	   
	    <tr>
	        <td>${entreprise.nom}</td>
	        <td>${entreprise.rue}</td>
	        <td>${entreprise.cp}</td>
            <td>${entreprise.ville}</td>
            <td>${entreprise.secteur}</td>
	    </tr>
	    
	    </logic:iterate>
	    
	</table>
	-->
    </div>
	        
	<!-- PRESENTATION FOOTER HERE -->
	<tiles:insert page="/pages/footer.jsp"/>
	        
	</body>
</html:html>

