package org.vincimelun.gestage.action;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.vincimelun.gestage.model.dao.EntrepriseDAO;
import org.vincimelun.gestage.view.EntreprisesForm;


public class PreListeEntreprisesAction extends Action {

    private static Log log = LogFactory.getLog(PreListeEntreprisesAction.class);
   
    /* (non-Javadoc)
     * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public ActionForward execute(ActionMapping map, ActionForm form,
            HttpServletRequest req, HttpServletResponse resp) throws Exception {

        EntreprisesForm frm = (EntreprisesForm) form;
        EntrepriseDAO edao = new EntrepriseDAO();
        List listeEntreprises = edao.findAll();

        Collection entreprises = new ArrayList();
        entreprises.addAll(listeEntreprises) ;   //une belle collection  donner  manger au bean

        // voir pour dcorler davantage du sgbd...
        frm.setEntreprises(entreprises); 
        
        return map.findForward("success");
    }
}
