package org.vincimelun.gestage.model;

import org.vincimelun.gestage.model.base.BaseEntreprise;

/**
 * This is the object class that relates to the entreprise table.
 * Any customizations belong here.
 */
public class Entreprise extends BaseEntreprise {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public Entreprise () {}

	/**
	 * Constructor for primary key
	 */
	public Entreprise (java.lang.Integer _id) {
		super(_id);
	}

	/**
	 * Constructor for required fields
	 */
	public Entreprise (
		java.lang.Integer _id,
		java.lang.String _secteur,
		java.lang.String _nom) {

		super (
			_id,
			_secteur,
			_nom);
	}

/*[CONSTRUCTOR MARKER END]*/
}