package org.vincimelun.gestage.model;

import org.vincimelun.gestage.model.base.BaseTaxe;

/**
 * This is the object class that relates to the taxe table.
 * Any customizations belong here.
 */
public class Taxe extends BaseTaxe {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public Taxe () {}

	/**
	 * Constructor for primary key
	 */
	public Taxe (org.vincimelun.gestage.model.TaxePK _id) {
		super(_id);
	}

	/**
	 * Constructor for required fields
	 */
	public Taxe (
		org.vincimelun.gestage.model.TaxePK _id,
		java.lang.Float _montant,
		java.lang.String _nature) {

		super (
			_id,
			_montant,
			_nature);
	}

/*[CONSTRUCTOR MARKER END]*/
}