<%@ page language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %> 
<%@ taglib uri="/tags/struts-tiles" prefix="tiles" %> 
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/displaytag-12" prefix="display" %>

<html:html>

   <head>
    <link href="<html:rewrite page="/style/stylesheet.css" />" rel="stylesheet" type="text/css" />
    <link href="<html:rewrite page="/style/gestage.css" />" rel="stylesheet" type="text/css" />
        <title>
            <bean:message key="application.nom"/>: <bean:message key="application.description"/>
        </title>
    </head>

    <body>
    <!--PRESENTATION HEADER HERE -->
    <tiles:insert page="/pages/header.jsp">
        <tiles:put name="navigation" value="GeStage&rsaquo;liste des personnes"/>
     </tiles:insert>

    <!--MAIN CONTENT FOLLOWS -->
    <div class="main" align="center">
		<h1><p align="center">Liste des personnes</p></h1>
		<p align='right'><html:link page="/accueil.do">&gt;Retour au menu principal&lt;</html:link></p>
		<p align="center"><html:link action="/app/ajoutSection.do">Ajouter</html:link></p>
		
		   
		   <display:table name="personnesForm.personnes" id="row" pagesize="20" class="isis" requestURI="listePersonnes.do" defaultsort="1" sort="list">
		   	<display:column property="name" title="Nom" sortable="true" headerClass="sortable"/>
		   	<display:column property="givenName" title="Prnom" sortable="true" headerClass="sortable"/>
		   	<display:column title="Actions">
		   		<html:link page="/modifPersonne.do?id=${row.id}"><img src="<html:rewrite page="/images/view.gif" />" alt="<bean:message key="liste.action.view"/>" title="<bean:message key="liste.action.view"/>" class="icon" /></html:link> &nbsp;
		        <html:link page="/modifPersonne.do?id=${row.id}"><img src="<html:rewrite page="/images/edit.png" />" alt="<bean:message key="liste.action.edit"/>" title="<bean:message key="liste.action.edit"/>" class="icon"/></html:link> &nbsp;
                <html:link page="/modifPersonne.do?id=${row.id}"><img src="<html:rewrite page="/images/del.png" />" alt="<bean:message key="liste.action.del"/>" title="<bean:message key="liste.action.del"/>" class="icon"/></html:link> &nbsp;
		   	</display:column>
		   </display:table>
		            
            </div>
   
            <!-- PRESENTATION FOOTER HERE -->
            <tiles:insert page="/pages/footer.jsp"/>
            
</body>


</html:html>